@import url("https://fonts.googleapis.com/css2?family=Protest+Riot&display=swap");

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: "Protest Riot", sans-serif;
}
html,
body{
  height: 100%;
}
.wrapper{
  display: flex;
  min-height: 100%;
  margin-bottom: -70px;
  justify-content: center
}
.box {
  margin-top: 20px;
  width: 600px;
}
.box::after {
 content: "";
 display: block;
}
.quote-title {
  display: flex;
  justify-content: center;
  align-items: baseline;
  flex-wrap: wrap;
}
#ijoke {
  width: 2em;
  margin-left: 10px;
}
.block-quote{
  z-index: 1;
 background-color: white
}
div.box-quote {
  margin-top: 30px;
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
  position: relative;
}
img.iquote1 {
  width: 1.5em;
  position: absolute;
  top: 15px;
}
.quote {
  text-align: left;
  color: forestgreen;
  font-size: 1.1em;
  margin: 30px;
}
img.iquote2 {
  transform: scale(-1, -1);
  width: 1.5em;
  position: absolute;
  bottom: 15px;
  right: 0;
}
.auteur {
  text-align: right;
  margin: 20px 10px 10px 10px;
}
.auteur span:first-child {
  position: absolute;
  margin: -7px 0px 0px -20px;
}
.auteur span:nth-child(2) {
  font-style: italic;
  font-size: 0.9em;
}
.box-reponse {
  margin-bottom: 40px;
  visibility: hidden;
  cursor: pointer;
  display: flex;
  flex-direction: column;
}
.btn-reponse {
  transform: translateX(-50%);
    left: 50%;
  width: 40%;
  position: absolute;
  border-radius: 20px;
  padding: 10px;
  border: none;
  background-color: forestgreen;
  color: #f7f7fc;
  cursor: pointer;
}
.reponse {
  text-align: center;
  cursor: default;
  color: black;
  background-color: white;
  visibility: collapse;
}

.hidden {
  background-color: grey;
  color: black;
}
.block-buttons { 
  background-color: white;
  border-top: 1px solid grey;
  padding: 10px;
}
.box-buttons {
  display: flex;
  justify-content: space-between;
  align-items: center;
}
.box-buttons ul {
  list-style: none;
  display: flex;
}
.box-buttons ul li {
  display: flex;
  height: 2em;
  margin: 0 5px;
  justify-content: center;
  transition: 0.3s;
}

img.copy {
  cursor: pointer;
  opacity: 0.8;
  width: 31px;
}

img.copy:hover {
  opacity: 1;
  border-bottom: 1px solid transparent;
}

img.copy:active {
  width: 30px;
  opacity: 0.7;
}
.copy_text {
  margin: -15px;
  display: flex;
  text-align: center;
  font-size: 0.6em;
  width: 50px;
  flex-direction: row;
  align-items: center;
}

.box-buttons button {
  width: 100px;
  background-color: forestgreen;
  font-size: 1em;
  color: white;
  cursor: pointer;
  padding: 6px;
  border: none;
  border-radius: 4px;
  box-shadow: 1px 1px 2px black;
  transition: all 0.3s ease;
}
.box-buttons button:hover {
  background-color: rgb(45, 175, 45);

  box-shadow: 2px 2px 4px black;
}
.box-buttons button:active {
  background-color: rgb(45, 175, 45);
  box-shadow: 1px 1px 1px black;
}
button.loading {
  pointer-events: none;
  opacity: 0.7;
}
.footer,.box::after{
height: 70px;

}
div.footer{
  padding: 5px 10px;
  display: flex;
  justify-content: space-between;
  align-items: flex-end;
  flex-direction: row

}

div.footer span:first-child{
  cursor: default;
  font-size: 0.8em;
  color: rgba(0, 0, 0, 0.662);


}
div.footer span:last-child{
  cursor: default;
  font-size: 0.7em;
  color: grey;
  margin: 1px 0;

}
.footer a {
  cursor: pointer;
  color: grey;
}
.footer a:visited {
  color: grey;
}


@media (max-width: 500px) {
  div.footer{
    padding: 0;
    display: flex;
    align-items: center;
    flex-direction: column-reverse;
    justify-content: space-between;  
  }

  div.footer span:first-child{
margin-bottom: 3px;
  
  }
}
/* @media only screen and (max-width: 750px) {
 
  div.footer span{
    width: 100%;
    transform: translateX(-50%);
  }
  div.footer span:first-child{
    left: 50%;
       
  }
  div.footer span:last-child{  
    left: 50%;
    bottom: 40px;  
  }
} */
